## org.eclipse.emf.ocl.types.util
Class TypesSwitch<T>

    java.lang.Object
      org.eclipse.emf.ocl.types.util.TypesSwitch<T>

Deprecated. Use the `TypesSwitch` class, instead.

    @Deprecated
    public class TypesSwitch<T>

extends Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `TypesPackage`

Field Summary
`static String` `copyright` Deprecated.
`protected static TypesPackage` `modelPackage` Deprecated. The cached model package

Constructor Summary
`TypesSwitch()` Deprecated. Creates an instance of the switch

Method Summary
`T` `caseAnyType(AnyType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Any Type'
`T` `caseASTNode(ASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'AST Node'
`T` `caseBagType(BagType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Bag Type'
`T` `caseCollectionType(CollectionType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Collection Type'
`T` `caseEClass(EClass object)` Deprecated. Returns the result of interpretting the object as an instance of 'EClass'
`T` `caseEClassifier(EClassifier object)` Deprecated. Returns the result of interpretting the object as an instance of 'EClassifier'
`T` `caseEDataType(EDataType object)` Deprecated. Returns the result of interpretting the object as an instance of 'EData Type'
`T` `caseElementType(ElementType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Element Type'
`T` `caseEModelElement(EModelElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'EModel Element'
`T` `caseENamedElement(ENamedElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'ENamed Element'
`T` `caseInvalidType(InvalidType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Invalid Type'
`T` `caseMessageType(MessageType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Message Type'
`T` `caseOrderedSetType(OrderedSetType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Ordered Set Type'
`T` `casePredefinedType(PredefinedType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Predefined Type'
`T` `casePrimitiveBoolean(PrimitiveBoolean object)` Deprecated. Returns the result of interpretting the object as an instance of 'Primitive Boolean'
`T` `casePrimitiveInteger(PrimitiveInteger object)` Deprecated. Returns the result of interpretting the object as an instance of 'Primitive Integer'
`T` `casePrimitiveReal(PrimitiveReal object)` Deprecated. Returns the result of interpretting the object as an instance of 'Primitive Real'
`T` `casePrimitiveString(PrimitiveString object)` Deprecated. Returns the result of interpretting the object as an instance of 'Primitive String'
`T` `casePrimitiveType(PrimitiveType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Primitive Type'
`T` `caseSequenceType(SequenceType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Sequence Type'
`T` `caseSetType(SetType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Set Type'
`T` `caseTupleType(TupleType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Tuple Type'
`T` `caseTypedASTNode(TypedASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'Typed AST Node'
`T` `caseTypeType(TypeType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Type Type'
`T` `caseVoidType(VoidType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Void Type'
`T` `defaultCase(EObject object)` Deprecated. Returns the result of interpretting the object as an instance of 'EObject'
`protected T` `doSwitch(EClass theEClass, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### modelPackage

    protected static TypesPackage modelPackage

  Deprecated.
  The cached model package

Constructor Detail

### TypesSwitch

    public TypesSwitch()

  Deprecated.
  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseBagType

    public T caseBagType(BagType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Bag Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Bag Type'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionType

    public T caseCollectionType(CollectionType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Collection Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Collection Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrderedSetType

    public T caseOrderedSetType(OrderedSetType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Ordered Set Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Ordered Set Type'.
  See Also:
    `doSwitch(EObject)`

### caseSequenceType

    public T caseSequenceType(SequenceType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Sequence Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Sequence Type'.
  See Also:
    `doSwitch(EObject)`

### caseSetType

    public T caseSetType(SetType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Set Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Set Type'.
  See Also:
    `doSwitch(EObject)`

### caseTupleType

    public T caseTupleType(TupleType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Tuple Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tuple Type'.
  See Also:
    `doSwitch(EObject)`

### caseVoidType

    public T caseVoidType(VoidType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Void Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Void Type'.
  See Also:
    `doSwitch(EObject)`

### caseMessageType

    public T caseMessageType(MessageType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Message Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Message Type'.
  See Also:
    `doSwitch(EObject)`

### caseElementType

    public T caseElementType(ElementType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Element Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Element Type'.
  See Also:
    `doSwitch(EObject)`

### caseInvalidType

    public T caseInvalidType(InvalidType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Invalid Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Invalid Type'.
  See Also:
    `doSwitch(EObject)`

### caseTypeType

    public T caseTypeType(TypeType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Type Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Type Type'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveType

    public T casePrimitiveType(PrimitiveType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Primitive Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Primitive Type'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveBoolean

    public T casePrimitiveBoolean(PrimitiveBoolean object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Primitive Boolean'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Primitive Boolean'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveInteger

    public T casePrimitiveInteger(PrimitiveInteger object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Primitive Integer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Primitive Integer'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveReal

    public T casePrimitiveReal(PrimitiveReal object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Primitive Real'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Primitive Real'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveString

    public T casePrimitiveString(PrimitiveString object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Primitive String'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Primitive String'.
  See Also:
    `doSwitch(EObject)`

### caseAnyType

    public T caseAnyType(AnyType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Any Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Any Type'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public T caseEModelElement(EModelElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public T caseENamedElement(ENamedElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseEClassifier

    public T caseEClassifier(EClassifier object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EClassifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EClassifier'.
  See Also:
    `doSwitch(EObject)`

### casePredefinedType

    public T casePredefinedType(PredefinedType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Predefined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predefined Type'.
  See Also:
    `doSwitch(EObject)`

### caseEDataType

    public T caseEDataType(EDataType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EData Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EData Type'.
  See Also:
    `doSwitch(EObject)`

### caseASTNode

    public T caseASTNode(ASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseTypedASTNode

    public T caseTypedASTNode(TypedASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Typed AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseEClass

    public T caseEClass(EClass object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EClass'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EClass'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.